Package org.apache.batchee.container.impl.controller

## Class ExecutionTransitioner

- java.lang.Object
- - org.apache.batchee.container.impl.controller.ExecutionTransitioner

-     public class ExecutionTransitioner
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutionTransitioner​(RuntimeJobExecution jobExecution, long rootJobExecutionId, ModelNavigator<?> modelNavigator, ServicesManager servicesManager)` |
    `ExecutionTransitioner​(RuntimeJobExecution jobExecution, long rootJobExecutionId, ModelNavigator<JSLJob> jobNavigator, BlockingQueue<PartitionDataWrapper> analyzerQueue, ServicesManager manager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionStatus` | `doExecutionLoop()` |
    `Controller` | `getCurrentStoppableElementController()` |
    `List<Long>` | `getStepExecIds()` |
    `void` | `setParentStepContext​(StepContextImpl parentStepContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionTransitioner

          public ExecutionTransitioner​(RuntimeJobExecution jobExecution,
                                       long rootJobExecutionId,
                                       ModelNavigator<?> modelNavigator,
                                       ServicesManager servicesManager)

    - #### ExecutionTransitioner

          public ExecutionTransitioner​(RuntimeJobExecution jobExecution,
                                       long rootJobExecutionId,
                                       ModelNavigator<JSLJob> jobNavigator,
                                       BlockingQueue<PartitionDataWrapper> analyzerQueue,
                                       ServicesManager manager)

  - ### Method Detail

    - #### doExecutionLoop

          public ExecutionStatus doExecutionLoop()

    - #### getCurrentStoppableElementController

          public Controller getCurrentStoppableElementController()

    - #### getStepExecIds

          public List<Long> getStepExecIds()

    - #### setParentStepContext

          public void setParentStepContext​(StepContextImpl parentStepContext)